<template>
	<view class="content">
		<view class="content-money">
			<view class="flex">
				<view class="buttom">
					<view class="icon">{{ money | getMoneyStyle }}</view>
					<text class="text">可转数量</text>
				</view>
			</view>
		</view>
		<view class="row-box">
			<view class="title">收款人手机号</view>
			<view class="row"><input class="input" type="number" v-model="card" placeholder="请输入收款人手机号"
					placeholder-class="placeholder" /></view>
		</view>
		<!-- <view class="row-box">
			<view class="title">交易密码</view>
			<view class="row"><input class="input" type="password" v-model="password" placeholder="请输入交易密码" placeholder-class="placeholder" /></view>
		</view> -->
		<view class="row-box">
			<view class="title">转账金额</view>
			<view class="row">
				<!-- <text class="tit">￥</text> -->
				<input class="input" type="number" v-model="withdrawal" placeholder="转入金额"
					placeholder-class="placeholder" />
				<view class="buttom" @click="withdrawal = money">全部转账</view>
			</view>
		</view>

		<button class="add-btn up" :class="{ action: loding }" @click="!loding ? confirm() : ''">提交</button>
	</view>
</template>

<script>
	import {
		getMoneyStyle
	} from '@/utils/rocessor.js';
	import {
		getUserInfo,
		transfer_accounts
	} from '@/api/user.js';
	import {
		mapMutations,
		mapState
	} from 'vuex';
	export default {
		filters: {
			getMoneyStyle
		},
		data() {
			return {
				money: '0.00', //可转账金额
				withdrawal: '', //转账金额
				password: '', //支付密码
				card: '', //转账卡号
				name: '',
				// #ifdef H5
				weichatBsrowser: false,
				// #endif
				loding: false,
				type: ''
			};
		},
		onLoad(options) {
			// #ifdef H5
			this.weichatBsrowser = uni.getStorageSync('weichatBrowser');
			// #endif
			this.type = options.type;
			this.dataUp();
		},
		computed: {
			...mapState('user', ['userInfo'])
		},
		methods: {
			...mapMutations('user', ['setUserInfo', 'login']),
			// 更新数据
			dataUp() {
				let obj = this;
				getUserInfo({})
					.then(e => {
						// 保存返回用户数据
						obj.setUserInfo(e.data);
						this.money = this.userInfo.money;
					})
					.catch(e => {
						console.log(e);
					});
			},
			// 切换选中对象
			tabRadio(e) {
				this.type = e.detail.value;
			},
			// 提交
			confirm() {
				let obj = this;
				if (obj.loding) {
					return;
				}
				if (!obj.card) {
					return obj.$api.msg('请输入转入人的账户');
				}
				if (obj.withdrawal * 1 <= 0) {
					return obj.$api.msg('请输入转入数量');
				}
				obj.loding = true;
				let data = {
					num: obj.withdrawal * 1, //金额
					uid: obj.card * 1
				};
				transfer_accounts(data)
					.then(e => {
						// 允许按钮点击
						obj.loding = false;
						// 初始化提现金额
						obj.withdrawal = '';
						uni.showToast({
							title: '转账成功',
							duration: 2000,
							position: 'top'
						});
						obj.dataUp();
					})
					.catch(e => {
						obj.$api.msg(e.msg);
						obj.loding = false;
					});
			}
		}
	};
</script>

<style lang="scss">
	page {
		height: 100%;
	}

	.content-money {
		padding: 30rpx 0;
		background: #ffffff;
	}

	.item {
		padding: 0 $page-row-spacing;
		background-color: #ffffff;
	}

	.flex {
		background-color: #ffffff;
		text-align: center;
		margin: 0 30rpx;
		border-radius: $border-radius-sm;
		justify-content: center;

		.buttom {
			font-size: $font-lg;
			width: 50%;
		}

		.interval {
			width: 2px;
			height: 60rpx;
			background-color: #eeeeee;
		}

		.icon {
			background-size: 100%;
			font-size: 42rpx;
			color: $font-color-dark;
			font-weight: bold;
			background-repeat: no-repeat;
			background-position: center;
		}

		.text {
			color: $font-color-light;
		}
	}

	.row-box {
		margin-top: 30rpx;
		padding: 20rpx 30rpx;
		background: #fff;

		.title {
			font-size: $font-base + 2rpx;
			color: $font-color-dark;
		}

		.row {
			display: flex;
			align-items: center;
			position: relative;
			height: 80rpx;

			.tit {
				flex-shrink: 0;
				width: 40rpx;
				font-size: 30rpx;
				color: $font-color-dark;
			}

			.input {
				flex: 1;
				font-size: 30rpx;
				color: $font-color-dark;
			}

			.iconlocation {
				font-size: 36rpx;
				color: $font-color-light;
			}

			.buttom {
				color: #ff4c4c;
				font-size: $font-base;
			}
		}
	}

	.add-btn {
		width: 630rpx;
		height: 90rpx;
		margin: 140rpx auto;
		font-family: PingFang SC;
		font-weight: bold;
		background: linear-gradient(90deg, #CA57DC, #65B2E9);
		color: #fff;
		line-height: 90rpx;
	}

	.name {
		background: #fff;
		padding: 30rpx;
	}

	.list {
		padding-left: 30rpx;
		margin-top: 30rpx;
		background-color: #ffffff;

		.box {
			display: flex;
			align-items: center;
			width: 100%;
			height: 120rpx;
			border-bottom: 1px solid $border-color-light;

			.icon {
				font-size: 48rpx;
				padding-right: 20rpx;

				.icon-img {
					height: 50rpx;
					width: 50rpx;
				}
			}

			.iconweixin1 {
				color: #18bf16;
			}

			.iconzhifubao {
				color: #08aaec;
			}

			.title-box {
				flex-grow: 1;
				text-align: left;

				.title {
					font-size: $font-base + 2rpx;
					color: $font-color-base;
				}

				.node {
					font-size: $font-sm;
					color: $font-color-light;
				}
			}
		}
	}

	.tip {
		padding: 20rpx;
		color: #ff0000;
	}

	/deep/ .uni-radio-input {
		width: 45rpx;
		height: 45rpx;
	}
</style>